# CompositorNodeOutputFileFileSlots(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``CompositorNodeOutputFileFileSlots`(bpy_struct)

  Collection of File Output node slots

  `new`(name)

    Add a file slot to this node

    Parameters: | name (string, (never None)) – Name
    Returns: | New socket
    Return type: | `NodeSocket`

  `remove`(socket)

    Remove a file slot from this node

    Parameters: | socket (`NodeSocket`) – The socket to remove

  `clear`()

    Remove all file slots from this node

  `move`(from_index, to_index)

    Move a file slot to another position

    Parameters: | from_index (int in [0, inf]) – From Index, Index of the socket to move to_index (int in [0, inf]) – To Index, Target index for the socket

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`CompositorNodeOutputFile.file_slots` |